> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.linkbehavior.md).

# LinkBehavior

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the behaviors of a link in a [LinkLabel](/api/wisej.web/content/linklabel.md) or [DataGridViewLinkCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum LinkBehavior : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum LinkBehavior As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                | Description                                                                          |
| ------------------- | ------------------------------------------------------------------------------------ |
| **AlwaysUnderline** | The link always displays with underlined text.                                       |
| **HoverUnderline**  | The link displays underlined text only when the mouse is hovered over the link text. |
| **NeverUnderline**  | The link text is never underlined.                                                   |
| **SystemDefault**   | The behavior of this setting depends on the browser.                                 |

## Used By

| Name                                                                                                                                             | Description                                                                                       |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------- |
| [LinkLabel.LinkBehavior](/api/wisej.web/content/linklabel.md#linkbehavior)                                                                       | Returns or sets a value that represents the behavior of a link.                                   |
| [DataGridViewLinkCell.LinkBehavior](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md#linkbehavior)                  | Returns or sets a value that represents the behavior of the link cell.                            |
| [DataGridViewLinkColumn.LinkBehavior](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcolumn.md#linkbehavior)              | Returns or sets a value that represents the behavior of the link cell.                            |
| [LinkLabelExtensions.LinkBehavior](/api/wisej.web.markup/extensions/wisej.web.markup.linklabelextensions.md#linkbehavior-linklabel-linkbehavior) | Sets the LinkBehavior property of the specified [LinkLabel](/api/wisej.web/content/linklabel.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.linkbehavior.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
